Bug 183125 - maintainer-update of mail/mutt
Summary: maintainer-update of mail/mutt
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Kozlov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-20 13:40 UTC by Udo.Schweigert
Modified: 2013-10-22 12:00 UTC (History)
0 users

See Also:


Attachments
file.diff (21.27 KB, patch)
2013-10-20 13:40 UTC, Udo.Schweigert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Udo.Schweigert 2013-10-20 13:40:00 UTC
Maintainer update of mail/mutt:

	- Update mutt to version 1.5.22

Committer: the following files have to be deleted: 
	files/patch-bdb
	files/patch-color-eol
	files/patch-configure.ac
	files/patch-crypt-gpgme.c
	files/patch-gnutls-CN-validation
	files/patch-init.c
	files/patch-nbsp
	files/patch-pgp
	files/patch-tls-version
Comment 1 Alex Kozlov freebsd_committer 2013-10-21 20:45:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ak

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-10-22 11:54:00 UTC
Author: ak
Date: Tue Oct 22 10:53:52 2013
New Revision: 331252
URL: http://svnweb.freebsd.org/changeset/ports/331252

Log:
  - Update to 1.5.22 [1]
  - Convert to new LIB_DEPENDS syntax
  
  PR:	ports/183125 [1]
  Submitted by:		Udo Schweigert <udo.schweigert@siemens.com> (maintainer) [1]

Deleted:
  head/mail/mutt/files/patch-bdb
  head/mail/mutt/files/patch-color-eol
  head/mail/mutt/files/patch-configure.ac
  head/mail/mutt/files/patch-crypt-gpgme.c
  head/mail/mutt/files/patch-gnutls-CN-validation
  head/mail/mutt/files/patch-init.c
  head/mail/mutt/files/patch-nbsp
  head/mail/mutt/files/patch-pgp
  head/mail/mutt/files/patch-tls-version
Modified:
  head/mail/mutt/Makefile
  head/mail/mutt/distinfo   (contents, props changed)
  head/mail/mutt/files/extra-patch-doc-xml   (contents, props changed)
  head/mail/mutt/files/patch-02   (contents, props changed)

Modified: head/mail/mutt/Makefile
==============================================================================
--- head/mail/mutt/Makefile	Tue Oct 22 10:47:43 2013	(r331251)
+++ head/mail/mutt/Makefile	Tue Oct 22 10:53:52 2013	(r331252)
@@ -2,8 +2,8 @@
 # $FreeBSD$
 
 PORTNAME=	mutt
-PORTVERSION=	1.5.21
-PORTREVISION=	5
+PORTVERSION=	1.5.22
+PORTREVISION=	0
 CATEGORIES+=	mail ipv6
 MASTER_SITES=	ftp://ftp.mutt.org/mutt/devel/ \
 		ftp://ftp.fu-berlin.de/pub/unix/mail/mutt/devel/ \
@@ -161,10 +161,10 @@ RUN_DEPENDS+=	urlview:${PORTSDIR}/textpr
 # Handle ncurses/ncurses-port/slang
 .if ${PORT_OPTIONS:MSLANG}
 CONFIGURE_ARGS+=	--with-slang=${LOCALBASE}
-LIB_DEPENDS+=	slang.2:${PORTSDIR}/devel/libslang2
+LIB_DEPENDS+=	libslang.so:${PORTSDIR}/devel/libslang2
 .endif
 
-.if ${PORT_OPTIONS:NCURSES}
+.if ${PORT_OPTIONS:MNCURSES}
 USES=		ncurses
 .endif
 
@@ -181,7 +181,7 @@ CONFIGURE_ARGS+=	--disable-nls
 .endif
 
 .if ${PORT_OPTIONS:MSASL}
-LIB_DEPENDS+=	sasl2:${PORTSDIR}/security/cyrus-sasl2
+LIB_DEPENDS+=	libsasl2.so:${PORTSDIR}/security/cyrus-sasl2
 CONFIGURE_ARGS+=	--with-sasl=${LOCALBASE}
 .endif
 
@@ -245,14 +245,14 @@ CONFIGURE_ARGS+=	--disable-iconv
 .endif
 
 .if ${PORT_OPTIONS:MIDN}
-LIB_DEPENDS+=	idn:${PORTSDIR}/dns/libidn
+LIB_DEPENDS+=	libidn.so:${PORTSDIR}/dns/libidn
 CONFIGURE_ARGS+=	--with-idn
 .else
 CONFIGURE_ARGS+=	--without-idn
 .endif
 
 .if ${PORT_OPTIONS:MGPGME}
-LIB_DEPENDS+=	gpgme:${PORTSDIR}/security/gpgme
+LIB_DEPENDS+=	libgpgme.so:${PORTSDIR}/security/gpgme
 CONFIGURE_ARGS+=	--enable-gpgme
 .else
 CONFIGURE_ARGS+=	--disable-gpgme
@@ -261,14 +261,14 @@ LDFLAGS=
 
 .if ${PORT_OPTIONS:MGSSAPI}
 .if exists(${LOCALBASE}/bin/krb5-config)
-LIB_DEPENDS+=		gssapi_krb5.2:${PORTSDIR}/security/krb5
+LIB_DEPENDS+=		libgssapi_krb5.so:${PORTSDIR}/security/krb5
 CONFIGURE_ARGS+=	--with-gss=${LOCALBASE}
 .elif exists(${KRB5_HOME}/bin/krb5-config)
-LIB_DEPENDS+=		gssapi_krb5:${PORTSDIR}/security/krb5
+LIB_DEPENDS+=		libgssapi_krb5.so:${PORTSDIR}/security/krb5
 CONFIGURE_ARGS+=	--with-gss=${KRB5_HOME}
 LDFLAGS+=		-L${KRB5_HOME}/lib -rpath=${KRB5_HOME}/lib
 .elif exists(${HEIMDAL_HOME}/bin/krb5-config)
-LIB_DEPENDS+=		gssapi_krb5:${PORTSDIR}/security/krb5
+LIB_DEPENDS+=		libgssapi_krb5.so:${PORTSDIR}/security/krb5
 CONFIGURE_ARGS+=	--with-gss=${HEIMDAL_HOME}
 LDFLAGS+=		-L${HEIMDAL_HOME}/lib -rpath=${HEIMDAL_HOME}/lib
 .elif (defined(MAKE_KERBEROS5)) || exists(/usr/lib/libkrb5.a)
@@ -306,6 +306,7 @@ pre-patch::
 
 .if ${PORT_OPTIONS:MNNTP}
 DISTFILES+=	patch-${VVV_PATCH_VERSION}.vvv.nntp.gz:vvv
+DISTFILES+=	patch-${VVV_PATCH_VERSION}.vvv.nntp_ru.gz:vvv
 CONFIGURE_ARGS+=	--enable-nntp
 XML_NEEDED=	yes
 CATEGORIES+=	news
@@ -354,7 +355,7 @@ post-patch::
 .endif
 
 WRKSRC=		${WRKDIR}/${DISTNAME:S/i$//}
-MAN1=		mutt.1 mutt_dotlock.1 flea.1 muttbug.1 smime_keys.1
+MAN1=		mutt.1 mutt_dotlock.1 flea.1 muttbug.1 pgpewrap.1 pgpring.1 smime_keys.1
 MAN5=		muttrc.5
 .if ${PORT_OPTIONS:MMAILBOX_MANPAGES}
 MAN5+=		mbox.5 mmdf.5
@@ -394,7 +395,7 @@ SCRIPTS_ENV+=	QUOTE_PATCH="yes"
 .if ${PORT_OPTIONS:MIMAP_HEADER_CACHE} || ${PORT_OPTIONS:MMAILDIR_HEADER_CACHE}
 .if ${PORT_OPTIONS:MTOKYOCABINET}
 CONFIGURE_ARGS+=	--enable-hcache --without-gdbm --without-bdb --with-tokyocabinet
-LIB_DEPENDS+=		tokyocabinet.9:${PORTSDIR}/databases/tokyocabinet
+LIB_DEPENDS+=		libtokyocabinet.so:${PORTSDIR}/databases/tokyocabinet
 .else
 USE_BDB=		42+
 CONFIGURE_ARGS+=	--enable-hcache --without-gdbm --with-bdb

Modified: head/mail/mutt/distinfo
==============================================================================
--- head/mail/mutt/distinfo	Tue Oct 22 10:47:43 2013	(r331251)
+++ head/mail/mutt/distinfo	Tue Oct 22 10:53:52 2013	(r331252)
@@ -1,10 +1,12 @@
-SHA256 (mutt/mutt-1.5.21.tar.gz) = 2141f36e8d0f4f71c9ca6780001e7cc679fe313e643953fc07f001223e67c4a0
-SIZE (mutt/mutt-1.5.21.tar.gz) = 3716886
-SHA256 (mutt/patch-1.5.21.rr.compressed.gz) = 5056b181222c4322667fd99a6314e80a4a8b4613357364d9deddef626136b4d9
-SIZE (mutt/patch-1.5.21.rr.compressed.gz) = 10133
-SHA256 (mutt/patch-1.5.21.vvv.nntp.gz) = 514cb4c3404bb68fef08781c17be41c6cd1251d05442db4105c6258f0b9d4928
-SIZE (mutt/patch-1.5.21.vvv.nntp.gz) = 55611
-SHA256 (mutt/patch-1.5.21.vvv.initials.gz) = ecce3643b04d1aced7085bca506896298bd56d991a5d1af057922c8358abf141
-SIZE (mutt/patch-1.5.21.vvv.initials.gz) = 691
-SHA256 (mutt/patch-1.5.21.vvv.quote.gz) = b0613d305932b31eaf005ee0740558d46561a6d7a333c97a00d34a1d0c1ef843
-SIZE (mutt/patch-1.5.21.vvv.quote.gz) = 1280
+SHA256 (mutt/mutt-1.5.22.tar.gz) = 8feae890ed0758a5108bafaef27bd8fc9c378675acf25a3c620f2c7b7540f3a7
+SIZE (mutt/mutt-1.5.22.tar.gz) = 3782237
+SHA256 (mutt/patch-1.5.22.rr.compressed.gz) = 88480159f4b30a5d257665aa091c651eb934502db08c3459975fe64a1cd700e1
+SIZE (mutt/patch-1.5.22.rr.compressed.gz) = 10214
+SHA256 (mutt/patch-1.5.22.vvv.nntp.gz) = 0de014565facf48f368cf74d8d25c31c2e68cd22810e84d1b64b55befbe48fe6
+SIZE (mutt/patch-1.5.22.vvv.nntp.gz) = 61382
+SHA256 (mutt/patch-1.5.22.vvv.nntp_ru.gz) = 899dc48b2873a6965f54c1d3a5da22f7ff94b2e4e0bdc2df6828266420dc8b07
+SIZE (mutt/patch-1.5.22.vvv.nntp_ru.gz) = 5726
+SHA256 (mutt/patch-1.5.22.vvv.initials.gz) = d5d25971f5d91b22554fa151b05ba5b76a88d8541158620eee5ae43047cd2b4b
+SIZE (mutt/patch-1.5.22.vvv.initials.gz) = 684
+SHA256 (mutt/patch-1.5.22.vvv.quote.gz) = deb5c212adddf4723618a351d456989addd8840d647cb487a44545113ba5c14d
+SIZE (mutt/patch-1.5.22.vvv.quote.gz) = 1288

Modified: head/mail/mutt/files/extra-patch-doc-xml
==============================================================================
--- head/mail/mutt/files/extra-patch-doc-xml	Tue Oct 22 10:47:43 2013	(r331251)
+++ head/mail/mutt/files/extra-patch-doc-xml	Tue Oct 22 10:53:52 2013	(r331252)
@@ -4,8 +4,8 @@
  
  all: makedoc-all
  
--makedoc-all: mutt.1 smime_keys.1 muttrc.man
-+makedoc-all: mutt.1 smime_keys.1 muttrc.man manual.html stamp-doc-chunked manual.txt
+-makedoc-all: mutt.1 smime_keys.1 muttrc.man pgpewrap.1 pgpring.1
++makedoc-all: mutt.1 smime_keys.1 muttrc.man pgpewrap.1 pgpring.1 manual.html stamp-doc-chunked manual.txt
  
  install-data-local: makedoc-all instdoc
  	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(mandir)/man1

Modified: head/mail/mutt/files/patch-02
==============================================================================
--- head/mail/mutt/files/patch-02	Tue Oct 22 10:47:43 2013	(r331251)
+++ head/mail/mutt/files/patch-02	Tue Oct 22 10:53:52 2013	(r331252)
@@ -1,15 +1,15 @@
---- doc/Makefile.am.orig	2010-09-17 16:04:58.000000000 +0200
-+++ doc/Makefile.am	2010-09-17 16:09:09.000000000 +0200
-@@ -47,7 +47,7 @@
+--- doc/Makefile.am.orig	2013-10-18 06:48:24.000000000 +0200
++++ doc/Makefile.am	2013-10-18 12:30:09.000000000 +0200
+@@ -48,7 +48,7 @@
  
  all: makedoc-all
  
--makedoc-all: mutt.1 smime_keys.1 muttrc.man manual.html stamp-doc-rc stamp-doc-chunked manual.txt
-+makedoc-all: mutt.1 smime_keys.1 muttrc.man
+-makedoc-all: mutt.1 smime_keys.1 muttrc.man manual.html stamp-doc-rc stamp-doc-chunked manual.txt pgpewrap.1 pgpring.1
++makedoc-all: mutt.1 smime_keys.1 muttrc.man pgpewrap.1 pgpring.1
  
  install-data-local: makedoc-all instdoc
  	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(mandir)/man1
-@@ -70,9 +70,6 @@
+@@ -73,9 +73,6 @@
  		$(INSTALL) -m 644 $(srcdir)/$$f $(DESTDIR)$(docdir) ; \
  	done
  	-$(INSTALL) -m 644 manual.txt $(DESTDIR)$(docdir)
@@ -19,7 +19,7 @@
  	$(INSTALL) -m 644 Muttrc $(DESTDIR)$(sysconfdir)/Muttrc.dist
  	-if [ -f $(DESTDIR)$(pkgdatadir)/Muttrc ] ; then \
  		mv $(DESTDIR)$(pkgdatadir)/Muttrc* $(DESTDIR)$(sysconfdir) ; \
-@@ -103,9 +100,7 @@
+@@ -106,9 +103,7 @@
  
  check:
  manual.txt: manual.html
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Alex Kozlov freebsd_committer 2013-10-22 11:56:00 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!